Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class CompressionDialog

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.qtcomponents.CompressionDialog

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  ImageCompressionDialog, SoundCompressionDialog

public class CompressionDialog
extends Component
implements quicktime.jdirect.QuickTimeLib

This class represents the standard compression dialog.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `getInfoPreferences()` Retrieves the current preferences for a dialog.
`QTHandleRef` | `getInfoState()` Retrieves all of the settings for a dialog.
`AtomContainer` | `getSettings()` Retrieves the current configuration from the dialog QuickTime__SCGetSettingsFromAtomContainer()
`void` | `requestSettings()` Displays the standard dialog box to the user for a single image or for sound.
`void` | `setInfoPreferences(int flags)` Sets the current preferences for a dialog.
`void` | `setInfoState(AtomContainer settings)` Deprecated.
`void` | `setInfoState(QTHandleRef settings)` Sets all of the settings for a dialog.
`void` | `setSettings(AtomContainer settings)` Sets the current configuration for a dialog.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### requestSettings

    public void requestSettings()
                         throws StdQTException

  Displays the standard dialog box to the user for a single image or for sound.
  QuickTime::SCRequestImageSettings()

### getInfoState

    public QTHandleRef getInfoState()
                             throws QTException

  Retrieves all of the settings for a dialog.
  QuickTime::SCGetInfo()

### setInfoState

    public void setInfoState(QTHandleRef settings)
                      throws StdQTException

  Sets all of the settings for a dialog.
  QuickTime::SCSetInfo()

### setInfoPreferences

    public void setInfoPreferences(int flags)
                            throws StdQTException

  Sets the current preferences for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `flags` - the preference flags

### getInfoPreferences

    public int getInfoPreferences()
                           throws StdQTException

  Retrieves the current preferences for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the preference flags

### getSettings

    public AtomContainer getSettings()
                              throws StdQTException

  Retrieves the current configuration from the dialog
  QuickTime__SCGetSettingsFromAtomContainer()
  Returns:
    the settings

### setInfoState

    public void setInfoState(AtomContainer settings)
                      throws StdQTException

  Deprecated.

  Sets the current configuration for a dialog.
  QuickTime::SCSetSettingsFromAtomContainer()
  See Also:
    `setSettings`

### setSettings

    public void setSettings(AtomContainer settings)
                     throws StdQTException

  Sets the current configuration for a dialog.
  QuickTime::SCSetSettingsFromAtomContainer()
  Parameters:
    `settings` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD